import React__default from 'react';
import { u as useDataListContext } from './DataListContext-es.js';
import { D as DataListActions } from './DataListActions-es.js';
import { u as useResponsiveSizing } from './useResponsiveSizing-es.js';

var styles = {"bulkActions":"BJxca-StHxg-","spinning":"p2-O4fMurTY-"};

const BULK_ACTIONS_CONTAINER_TEST_ID = "ATL-DataListBulkActions-Container";

// This component is meant to capture the props of the DataList.BulkActions
function DataListBulkActions(
// eslint-disable-next-line @typescript-eslint/no-unused-vars
_) {
    return null;
}
function InternalDataListBulkActions() {
    const { bulkActionsComponent } = useDataListContext();
    if (!bulkActionsComponent)
        return null;
    const { children } = bulkActionsComponent.props;
    const { sm } = useResponsiveSizing();
    // Collapse all actions under "More actions" when breakpoint is smaller than sm
    const itemsToExpose = sm ? 3 : 0;
    return (React__default.createElement("div", { "data-testid": BULK_ACTIONS_CONTAINER_TEST_ID, className: styles.bulkActions },
        React__default.createElement(DataListActions, { itemsToExpose: itemsToExpose }, children)));
}

export { DataListBulkActions as D, InternalDataListBulkActions as I };
